打印

向军哥请教求助!Discuz使用php7.0以上版本时出现问题

向军哥请教求助!Discuz使用php7.0以上版本时出现问题

首先非常感谢军哥辛苦付出,长期坚持提供这么好的主机管理工具!真的十分感谢!!!
最近升级了服务器,系统升级为centos 7.3,全新安装军哥的 lnmp 1.4版本,现在发现一个问题,
就是Discuzx 没办法使用PHP7以上的环境,只要主机设置跑在php7以上之后,帖子打开后,
大部份帖子里包含[attachimg] 或超链接、html标签内容的就会导致整个帖子里没办法显示,不只是图片不显示,
而是连同帖子里的文字内容,也不会显示了,如果图片只是作为附件上传的,就可以显示。

(找到是php版本的原因也费了很多时间,一开始以为是论坛从 discuzx3.2升级到 discuz3.3之后模板原因导致,后证实不是,又以为是添加ssl的原因,后一一否决
又以为是discuz3.3本身的问题,官方已说明discuzx3.3是支持php7,后来用备份的discuz 3.2测试也一样,最后只好安装多php版本进行测试,但只要改为php.5.x.x的,重启lnmp就可以正常显示,如果修改主机的配置文件为php7.0以上环境,不管discuzx3.2还是discuzx3.3,结果都是一样,大部份帖子打开后内容为空,)

很希望可以得到军哥的解惑指点。

TOP

希望军哥帮忙分析一下是什么原因呢,很郁闷....

TOP

换php 5.* 正常那就是discuz x 3.3 与php7还是有兼容性问题
不是说支持了就一定没bug,向discuz官方反馈看看

可以开php错误日志看看有没有错误信息

Paypal信用卡代付/代购VPS/域名/软件/付费代维问题解决等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 反馈信息!

TOP

这样啊,谢谢回复~~~

不知道是不是我本机的PHP7编译过种中出错了没有,除了向官方反馈还有没有别的办法,discuz官方已经死,所以估计只能从自身找问题了

TOP

回复 4# 的帖子

只要安装成功了,编译就没出错,出错了到最后肯定提示没安装成功

3楼说了,开错误日志,其他方法就是阅读源码或网上搜索看看了

Paypal信用卡代付/代购VPS/域名/软件/付费代维问题解决等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 反馈信息!

TOP